GNU bug report logs - #34112
Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of 'with-monad'"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: serious; Reported by: Mark H Weaver <mhw@HIDDEN>; Keywords: unreproducible; merged with #27476, #27652, #28144, #31294, #31367, #31740, #32385, #34319; dated Wed, 16 Jan 2019 23:35:02 UTC; Maintainer for guile is bug-guile@HIDDEN.
bug reassigned from package 'guix' to 'guile'. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 28144 31294 31367 31740 32385 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 31740 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34112 <at> debbugs.gnu.org:


Received: (at 34112) by debbugs.gnu.org; 22 Jan 2019 21:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 22 16:10:33 2019
Received: from localhost ([127.0.0.1]:41622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gm3JZ-0007cv-68
	for submit <at> debbugs.gnu.org; Tue, 22 Jan 2019 16:10:33 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:49894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gm3JW-0007cj-25
 for 34112 <at> debbugs.gnu.org; Tue, 22 Jan 2019 16:10:31 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 50B1F4EA9;
 Tue, 22 Jan 2019 22:10:26 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DLqmezghK1qe; Tue, 22 Jan 2019 22:10:25 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B98464EA4;
 Tue, 22 Jan 2019 22:10:24 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#34112: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of
 'with-monad'"
References: <87won441p1.fsf@HIDDEN> <878szjwk4t.fsf@HIDDEN>
Date: Tue, 22 Jan 2019 22:10:23 +0100
In-Reply-To: <878szjwk4t.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 17 Jan 2019 13:20:34 +0100")
Message-ID: <87a7jsl7pc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34112
Cc: 34112 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Mark,

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
>> corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
>> the 'guix' package failed to build on x86_64, with the following error:
>>
>> guix/hg-download.scm:93:2: >>=3D: >>=3D (bind) used outside of 'with-mon=
ad' in form (>>=3D (package->derivation guile system) (lambda (t-2c116650a8=
5e261-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gex=
p->derivation (or name "hg-checkout") build #:system system #:local-build? =
#t #:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guil=
e)))))
>
> This is the dreaded syntax parameter bug:
>
>   https://issues.guix.info/issue/27476

Today I noticed that building guix-core.drv on a 24-core machine would
trigger the bug roughly 70% of the time, with backtraces like this:

--8<---------------cut here---------------start------------->8---
building /gnu/store/rxx273f09jcxk72rjgl990k8191di0jw-guix-core.drv...
compiling...     15.4% of 39 filesIn ice-9/psyntax.scm:
  2338:44 19 (expand-let _ _ _ ((line . 1537) (column . 0) (filename . "gui=
x/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars val=
-exps body-exp)> _ _
 ((#<syntax match-one> # ?)))
compiling...     17.9% of 39 files  1679:45 18 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 17 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-4b93=
" lexical . failure-10a3c941d34314a1-4b94) ("placeholder" placeholder) ("pl=
aceholder" placeholder) ("l-10a3c9?" . #) ?) ?)))
In ice-9/psyntax.scm:
  1409:12 16 (_ _ _ #<syntax (#<syntax failure>)>)
  2338:44 15 (expand-let _ _ _ ((line . 1537) (column . 0) (filename . "gui=
x/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars val=
-exps body-exp)> _ _ ((#<syntax match-one> # ?)))
  1679:45 14 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 13 (map1 (((("l-10a3c941d34314a1-4b9e" macro . #<procedure 13ad6c=
0 at ice-9/eval.scm:333:13 (a)>) ("placeholder" placeholder) ("l-10a3c941d3=
4314a1-4b99" lexical . #) ("l-10?" . #) ?) . #)))
In ice-9/psyntax.scm:
  2338:44 12 (expand-let _ _ _ ((line . 1537) (column . 0) (filename . "gui=
x/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars val=
-exps body-exp)> _ _ ((#<syntax match-one> # ?)))
  1679:45 11 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 10 (map1 (((("l-10a3c941d34314a1-4bba" macro . #<procedure c1b240=
 at ice-9/eval.scm:333:13 (a)>) ("placeholder" placeholder) ("l-10a3c941d34=
314a1-4bb6" lexical . #) ("l-10a?" . #) ?) . #)))
In ice-9/psyntax.scm:
  2338:44  9 (expand-let _ _ _ ((line . 1537) (column . 0) (filename . "gui=
x/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars val=
-exps body-exp)> _ _ ((#<syntax match-drop?> ?)))
  1612:33  8 (parse (((("placeholder" placeholder) ("l-10a3c941d34314a1-4bd=
2" lexical . tail-10a3c941d34314a1-4bd3) ("l-10a3c941d34314a1-4bba" macro .=
 #<procedure c1b240 at ice-9/eval.s?>) ?) . #)) ?)
  1348:32  7 (syntax-type (#<syntax >>=3D> (#<syntax mproc> #<syntax head> =
#<syntax result>) (#<syntax lambda> (#<syntax result>) (#<syntax loop> #<sy=
ntax tail> #<syntax result>))) (("placeho?" ?) ?) ?)
  1559:32  6 (expand-macro #<procedure 136bbc0 at ice-9/eval.scm:333:13 (a)=
> _ _ _ _ _ _)
In ice-9/boot-9.scm:
   752:25  5 (dispatch-exception _ _ _)
   751:25  4 (dispatch-exception 1 syntax-error (>>=3D ">>=3D (bind) used o=
utside of 'with-monad'" ((line . 1537) (column . 0) (filename . "guix/store=
.scm")) (>>=3D (mproc head result) (lambda (#) ?)) #))
In guix/build/compile.scm:
    123:6  3 (_ _ . _)
In ice-9/boot-9.scm:
    829:9  2 (catch #t #<procedure c3a4e0 at guix/build/compile.scm:123:6 (=
)> #<procedure 7fffefd02980 at guix/build/compile.scm:123:6 args> _)
In guix/build/compile.scm:
   126:21  1 (_)
In unknown file:
           0 (make-stack #t)
guix/build/compile.scm:126:21: Syntax error:
guix/store.scm:1538:0: >>=3D: >>=3D (bind) used outside of 'with-monad' in =
form (>>=3D (mproc head result) (lambda (result) (loop tail result)))
builder for `/gnu/store/rxx273f09jcxk72rjgl990k8191di0jw-guix-core.drv' fai=
led with exit code 1
--8<---------------cut here---------------end--------------->8---

This is as of d1dfcc7c1b38d816dddc2868917ba490db7e7c3b (a commit from
today), where Guile 2.2.4 is used to build modules.

The bug doesn=E2=80=99t seem to be triggered on my 4-core laptop nor on the
8-core build machines behind berlin:

  https://ci.guix.info/jobset/guix-modular-master

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#34112; Package guix. Full text available.
Merged 27476 27652 31740 34112. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'important' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34112 <at> debbugs.gnu.org:


Received: (at 34112) by debbugs.gnu.org; 17 Jan 2019 12:20:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 07:20:41 2019
Received: from localhost ([127.0.0.1]:34228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gk6f3-0004m9-4m
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2019 07:20:41 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:54640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gk6f0-0004m0-T7
 for 34112 <at> debbugs.gnu.org; Thu, 17 Jan 2019 07:20:39 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 43A901AA5;
 Thu, 17 Jan 2019 13:20:37 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id hL4jN4dXoohp; Thu, 17 Jan 2019 13:20:36 +0100 (CET)
Received: from ribbon (nat-inria-bordeaux-52-gw-01-bso.bordeaux.inria.fr
 [194.199.1.52])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 6637710ED;
 Thu, 17 Jan 2019 13:20:36 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#34112: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of
 'with-monad'"
References: <87won441p1.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 =?utf-8?Q?Niv=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 17 Jan 2019 13:20:34 +0100
In-Reply-To: <87won441p1.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 16
 Jan 2019 18:33:35 -0500")
Message-ID: <878szjwk4t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34112
Cc: 34112 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
> corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
> the 'guix' package failed to build on x86_64, with the following error:
>
> guix/hg-download.scm:93:2: >>=3D: >>=3D (bind) used outside of 'with-mona=
d' in form (>>=3D (package->derivation guile system) (lambda (t-2c116650a85=
e261-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp=
->derivation (or name "hg-checkout") build #:system system #:local-build? #=
t #:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile=
)))))

This is the dreaded syntax parameter bug:

  https://issues.guix.info/issue/27476

which I think is the same as the =E2=80=9Cinfo-dir bug=E2=80=9D:

  https://issues.guix.info/issue/28144

I had come to believe Guile 2.2.4 addressed these, but lately people
have been reporting similar issues quite frequently, so I guess we have
a problem.

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#34112; Package guix. Full text available.

Message received at 34112 <at> debbugs.gnu.org:


Received: (at 34112) by debbugs.gnu.org; 17 Jan 2019 04:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 23:04:57 2019
Received: from localhost ([127.0.0.1]:34053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjyvJ-0007ZF-AO
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 23:04:57 -0500
Received: from world.peace.net ([64.112.178.59]:51388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gjyvH-0007Z0-2S
 for 34112 <at> debbugs.gnu.org; Wed, 16 Jan 2019 23:04:55 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gjyvB-0002oa-7p; Wed, 16 Jan 2019 23:04:49 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: 34112 <at> debbugs.gnu.org
Subject: Re: bug#34112: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of
 'with-monad'"
References: <87won441p1.fsf@HIDDEN>
Date: Wed, 16 Jan 2019 23:03:46 -0500
In-Reply-To: <87won441p1.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 16
 Jan 2019 18:33:35 -0500")
Message-ID: <871s5c3p6q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34112
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark H Weaver <mhw@HIDDEN> writes:

> In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
> corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
> the 'guix' package failed to build on x86_64, with the following error:
>
> guix/hg-download.scm:93:2: >>=: >>= (bind) used outside of 'with-monad' in form (>>= (package->derivation guile system) (lambda (t-2c116650a85e261-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp->derivation (or name "hg-checkout") build #:system system #:local-build? #t #:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile)))))
>
>
> I suspect that this error is non-deterministic, so I restarted the build
> after saving a copy of the failed build log.

The error is indeed non-deterministic.  However, the second attempt also
failed, due to a failed test.  <https://hydra.gnu.org/build/3338940>

  FAIL: tests/processes
  =====================

  random seed for tests: 1547688217
  substitute: warning: authentication and authorization of substitutes disabled!
  substitute: guix substitute: warning: ACL for archive imports seems to be uninitialized, substitutes may be unavailable
  building path(s) `/tmp/guix-tests/store/9zba58k4br08dvfy9f1djwy49gh03d8z-foo'
  test-name: not a client
  location: /tmp/guix-build-guix-0.16.0-8.7ba2b27.drv-0/source/tests/processes.scm:37
  source:
  + (test-assert
  +   "not a client"
  +   (not (find (lambda (session)
  +                (= (getpid)
  +                   (process-id (daemon-session-client session))))
  +              (daemon-sessions))))
  actual-value: #f
  actual-error:
  + (wrong-type-arg
  +   "struct_vtable"
  +   "Wrong type argument in position ~A (expecting ~A): ~S"
  +   (1 "struct" #f)
  +   (#f))
  result: FAIL

I'll restart it again, in hope that the third attempt will succeed.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#34112; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2019 23:35:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 18:35:00 2019
Received: from localhost ([127.0.0.1]:33998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gjui3-00018i-RV
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 18:35:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gjui2-00018L-OV
 for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 18:34:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:43039)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gjuhx-0007eu-Ke
 for submit <at> debbugs.gnu.org; Wed, 16 Jan 2019 18:34:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56076)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gjuhw-00030Z-EY
 for bug-guix@HIDDEN; Wed, 16 Jan 2019 18:34:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1gjuhv-0007aL-D7
 for bug-guix@HIDDEN; Wed, 16 Jan 2019 18:34:52 -0500
Received: from world.peace.net ([64.112.178.59]:58000)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1gjuhv-0007Er-9Q
 for bug-guix@HIDDEN; Wed, 16 Jan 2019 18:34:51 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gjuhj-0000tZ-Nn; Wed, 16 Jan 2019 18:34:39 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of 'with-monad'"
Date: Wed, 16 Jan 2019 18:33:35 -0500
Message-ID: <87won441p1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 64.112.178.59
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
the 'guix' package failed to build on x86_64, with the following error:

--8<---------------cut here---------------start------------->8---
guix/hg-download.scm:93:2: >>=3D: >>=3D (bind) used outside of 'with-monad'=
 in form (>>=3D (package->derivation guile system) (lambda (t-2c116650a85e2=
61-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp->=
derivation (or name "hg-checkout") build #:system system #:local-build? #t =
#:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile))=
)))
--8<---------------cut here---------------end--------------->8---

I suspect that this error is non-deterministic, so I restarted the build
after saving a copy of the failed build log.  See below for the tail of
the build log.

      Mark

--8<---------------cut here---------------start------------->8---
  LOAD     gnu/tests/security-token.scm
  LOAD     gnu/tests/ssh.scm
  LOAD     gnu/tests/version-control.scm
  LOAD     gnu/tests/virtualization.scm
  LOAD     gnu/tests/web.scm
  LOAD     guix/ssh.scm
  LOAD     guix/scripts/copy.scm
  LOAD     guix/store/ssh.scm
  LOAD     guix/scripts/offload.scm
  LOAD     guix/store/database.scm
  LOAD     guix/store/deduplication.scm
  LOAD     guix/config.scm
  LOAD     guix/tests.scm
  LOAD     guix/tests/http.scm
  GUILEC   guix/base16.go
  GUILEC   guix/base32.go
  GUILEC   guix/base64.go
  GUILEC   guix/ci.go
  GUILEC   guix/cpio.go
  GUILEC   guix/docker.go
  GUILEC   guix/records.go
  GUILEC   guix/pki.go
  GUILEC   guix/progress.go
  GUILEC   guix/combinators.go
  GUILEC   guix/memoization.go
  GUILEC   guix/utils.go
  GUILEC   guix/sets.go
  GUILEC   guix/modules.go
  GUILEC   guix/download.go
  GUILEC   guix/discovery.go
  GUILEC   guix/git-download.go
  GUILEC   guix/hg-download.go
  GUILEC   guix/swh.go
  GUILEC   guix/monads.go
  GUILEC   guix/monad-repl.go
In system/base/compile.scm:
   183:32 19 (compile-fold (#<procedure compile-tree-il (x e opts)>) =E2=80=
=A6)
In ice-9/boot-9.scm:
   2312:4 18 (save-module-excursion #<procedure 15c77ec0 at language=E2=80=
=A6>)
In language/scheme/compile-tree-il.scm:
    31:15 17 (_)
In ice-9/psyntax.scm:
  1234:22 16 (expand-top-sequence ((define* (hg-fetch ref # # =E2=80=A6) =
=E2=80=A6)) =E2=80=A6)
In ice-9/boot-9.scm:
   222:17 15 (map1 (#<procedure 160f9720 at ice-9/psyntax.scm:1151:=E2=80=
=A6>))
In ice-9/psyntax.scm:
  1409:12 14 (_)
  2260:30 13 (_ _ _ _)
  1882:14 12 (_ _ _ _ () () ())
  1945:21 11 (_ _ _)
  1696:61 10 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17  9 (map1 (((("placeholder" placeholder) ("l-2c=E2=80=A6" . #) =E2=
=80=A6) =E2=80=A6)))
In ice-9/psyntax.scm:
  1612:33  8 (parse (((("placeholder" placeholder) ((#) . #) =E2=80=A6) . #=
)) =E2=80=A6)
  1348:32  7 (syntax-type (#<syntax >>=3D> #<syntax (package->deri=E2=80=A6=
> =E2=80=A6) =E2=80=A6)
  1559:32  6 (expand-macro #<procedure 1493fa00 at ice-9/eval.scm:3=E2=80=
=A6> =E2=80=A6)
I  GUILEC   guix/gexp.go
n ice-9/boot-9.scm:
   752:25  5 (dispatch-exception _ _ _)
   751:25  4 (dispatch-exception 1 syntax-error (>>=3D ">>=3D (bind) =E2=80=
=A6" =E2=80=A6))
In ice-9/eval.scm:
    619:8  3 (_ #(#(#<directory (guix build compile) 5f58c0>) # (=E2=80=A6)=
))
In ice-9/boot-9.scm:
    GUILEC   guix/profiles.go
  829:9  2 (catch #t #<procedure 14ab9120 at ice-9/eval.scm:330:1=E2=80=A6>=
 =E2=80=A6)
In ice-9/eval.scm:
   293:34  1 (_ #(#(#(#<directory (guix build compile) 5f58c0> =E2=80=A6)) =
#))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:293:34: Syntax error:
guix/hg-download.scm:93:2: >>=3D: >>=3D (bind) used outside of 'with-monad'=
 in form (>>=3D (package->derivation guile system) (lambda (t-2c116650a85e2=
61-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp->=
derivation (or name "hg-checkout") build #:system system #:local-build? #t =
#:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile))=
)))
random seed for tests: 1547587378

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
make[2]: *** [Makefile:5574: make-go] Error 1
make[2]: Leaving directory '/tmp/guix-build-guix-0.16.0-8.7ba2b27.drv-0/sou=
rce'
make[1]: *** [Makefile:4655: all-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-guix-0.16.0-8.7ba2b27.drv-0/sou=
rce'
make: *** [Makefile:3271: all] Error 2
Backtrace:
           4 (primitive-load "/gnu/store/lz5zwvd999nw24qv0vnia608iaz=E2=80=
=A6")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 823420 at /gnu/store/gfprsx2m62cvq=E2=80=
=A6> =E2=80=A6)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu=
-build-system.scm:
   799:28  1 (_ _)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/uti=
ls.scm:
    616:6  0 (invoke _ . _)

/gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/utils.=
scm:616:6: In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "mak=
e" arguments: ("-j" "8") exit-status: 2 term-signal: #f stop-signal: #f] 5d=
3b80>)'.
builder for `/gnu/store/gxb0dhg3zifxc9mjl8pmdra1w13nnk0p-guix-0.16.0-8.7ba2=
b27.drv' failed with exit code 1
@ build-failed /gnu/store/gxb0dhg3zifxc9mjl8pmdra1w13nnk0p-guix-0.16.0-8.7b=
a2b27.drv - 1 builder for `/gnu/store/gxb0dhg3zifxc9mjl8pmdra1w13nnk0p-guix=
-0.16.0-8.7ba2b27.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34112; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Feb 2019 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.